Skip to main content
GET
/
v5
/
accounting
/
manualJournalEntry
Get a manual journal entry
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/manualJournalEntry \
  --header 'Authorization: Bearer <token>'
{
  "description": "<string>",
  "date": "2023-11-07T05:31:56Z",
  "transactions": [
    {
      "glAccountId": 123,
      "drAmount": 123,
      "crAmount": 123
    }
  ],
  "id": 123,
  "entryDate": "2023-11-07T05:31:56Z",
  "frequency": "ONE_TIME",
  "isParent": true,
  "recurringParentId": 123,
  "apiEntryId": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific manual journal entry

Response

200 - application/json

Successful operation

description
string
required

Description of this journal entry

date
string<date-time>
required

Date the transactions comprising this journal entry occurred

transactions
object[]
required

List of accounting transactions comprising this entry. The total of all drAmounts must sum to the total of all crAmounts.

id
integer<int64>

Id of the journal entry, required when updating an existing journal entry

entryDate
string<date-time>

Date this journal entry was created

frequency
enum<string>

Frequency of the journal entry

Available options:
ONE_TIME,
WEEKLY,
BI_WEEKLY,
MONTHLY,
YEARLY
Example:

"ONE_TIME"

isParent
boolean

Whether this journal entry is a parent to recurring journal entries. Parent journal entries generally should not be directly displayed to the user, as its children are more pertinent and displaying both results in double counting.

recurringParentId
integer<int64>

Id of the recurring parent journal entry; populated if this journal entry is recurring

apiEntryId
string

Id of the journal entry record in your DB